import React from "react";
import Button from "../../component/Button.jsx";
import ContentTitle from "../../component/ContentTitle.jsx";
import SubTitle from "../../component/SubTitle.jsx";
import { useNavigate } from "react-router";

export default function QandAConfirm() {
  const navigate = useNavigate();
  return (
    <main>
      <div className="content-wrap row">
        <ContentTitle contentTitle={"문의글 작성"} />
        <SubTitle explanation={"담당자 정보"} />
        <table className="margin-bottom2 senior-insert">
          <tr>
            <th>작성자</th>
            <td>
              홍길동
            </td>
          </tr>
          <tr>
            <th>소속 기관</th>
            <td colSpan={3}>
              A복지관
            </td>
          </tr>
          <tr>
            <th>연락처</th>
            <td colSpan={3}>
              010-1234-1234
            </td>
          </tr>
          <tr>
            <th>구분</th>
            <td colSpan={3}>추가
            </td>
          </tr>
          <tr>
            <th>내용</th>
            <td colSpan={3}>
              시니어 인원 증가로 인한 장비 추가 요청
            </td>
          </tr>
        </table>
        <SubTitle explanation={"대상자 정보"} />
        <table className="margin-bottom2 senior-insert">
          <tr>
            <th>대상자 이름</th>
            <td>
              김복남
            </td>
            <th>대상자 등록번호</th>
            <td>
              00000001
            </td>
          </tr>
          <tr>
            <th>대상자 연락처</th>
            <td>
              010-2345-2345
            </td>
            <th>대상자 주소</th>
            <td>
              경상북도 군위군 군위읍
            </td>
          </tr>
          <tr>
            <th>장비명</th>
            <td>
              스마트약상자
            </td>
            <th>장비시리얼넘버</th>
            <td>
              ABCD-1
            </td>
          </tr>
        </table>
        <div className="flex-start margin-bottom5">
          <SubTitle explanation={"처리여부"} />
          <select>
            <option value="">처리중</option>
            <option value="">처리완료</option>
          </select>
        </div>
        <div className="btn-wrap flex-center">
          <Button
            className={"btn-large gray-btn"}
            btnName={"이전"}
            onClick={() => {
              navigate("/QandASelect");
            }}
          />
          <Button
            className={"btn-large gray-btn"}
            btnName={"저장"}
            onClick={() => {
              navigate("/QandASelect");
            }}
          />
        </div>
      </div>
    </main>
  );
}
